### Function

# FwupdPlugin processor_feature_flags_to_string

#### Declaration [src]

    gchar*
    fu_processor_feature_flags_to_string (
      FuProcessorFeatureFlags val
    )

#### Description [src]

Converts an enumerated value to a string.

#### Parameters

`val`

  Type: `FuProcessorFeatureFlags`

  Value, e.g. `FU_PROCESSOR_FEATURE_FLAG_SHSTK`.

#### Return value

Type: `gchar*`

Identifier string.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.